> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List logs

> List system of record integration logs



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /systemOfRecordIntegration/logs/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /systemOfRecordIntegration/logs/list:
    get:
      tags:
        - System of Record Integration - Logs
      summary: List logs
      description: List system of record integration logs
      parameters:
        - in: query
          name: statuses
          schema:
            title: Statuses
            description: Log statuses to include.
            type: array
            items:
              type: string
              enum:
                - success
                - error
          description: Log statuses to include.
        - in: query
          name: query
          schema:
            title: Query
            description: Search query for logs.
            type: string
          description: Search query for logs.
        - in: query
          name: limit
          schema:
            title: Limit
            description: Maximum number of logs to return.
            type: string
          description: Maximum number of logs to return.
        - in: query
          name: offset
          schema:
            title: Offset
            description: Number of logs to skip.
            type: string
          description: Number of logs to skip.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  logs:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                        workspaceUuid:
                          type: string
                        systemOfRecordUuid:
                          type: string
                        query:
                          type: string
                        status:
                          type: string
                          enum:
                            - success
                            - error
                        processedBytesCount:
                          type: number
                        errorMessage:
                          anyOf:
                            - type: string
                            - type: 'null'
                        startedAt:
                          type: string
                        finishedAt:
                          type: string
                        createdAt:
                          type: string
                      required:
                        - uuid
                        - workspaceUuid
                        - systemOfRecordUuid
                        - query
                        - status
                        - processedBytesCount
                        - errorMessage
                        - startedAt
                        - finishedAt
                        - createdAt
                      additionalProperties: false
                    title: Logs
                    description: List of logs.
                required:
                  - logs
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````